import greenfoot.*;
import java.awt.Color;

public class DisplayButton extends Actor
{
    int value = 0;
    Color outlineColor = new Color(150, 150, 150);
    Color[] colors = new Color[5];
    public DisplayButton(int val)
    {
        value = val;
        makeColors();
        drawImage();
    }
    public void makeColors()
    {
        colors[0] = new Color(200, 0, 40);
        colors[1] = new Color(0, 150, 100);
        colors[2] = new Color(160, 10, 130);
        colors[3] = new Color(0, 70, 200);
        colors[4] = new Color(190, 120, 30);
    }
    public int getValue()
    {
        return value;
    }
    public void drawImage()
    {
        GreenfootImage myImage = new GreenfootImage(50, 50);
        myImage.setColor(outlineColor);
        myImage.fillOval(1,1,48,48);
        myImage.setColor(colors[value]);
        myImage.fillOval(2,2,46,46);
        setImage(myImage);
    }
}
