import java.util.ArrayList;

public class ButtonGroup
{
    ArrayList<ColorButton> buttons;
    
    public ButtonGroup()
    {
        buttons = new ArrayList<ColorButton>(20);
    }
    public void addButton(ColorButton b)
    {
        buttons.add(b);
    }
    public int[] getButtonValues()
    {
        int[] values = new int[buttons.size()];
        for(int i = 0; i < buttons.size(); i++) {
            values[i] = buttons.get(i).getValue();
        }
        return values;
    }
}
